Skip to main content
Resource Center/Network Resource/L3 Network Operations
POSTL3 Network OperationsSince 0.6SynchronousAuth Required

AddIpRange

AddIpRange

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • l3NetworkUuidStringRequired

    The L3 network UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The L3 network name.

    • descriptionString

      Optional. The detailed description of the L3 network.

    • startIpStringRequired

      The start IP address.

    • endIpStringRequired

      The end IP address.

    • netmaskStringRequired

      The netmask.

    • gatewayStringRequired

      The gateway.

    • ipRangeTypeString

      Optional. The IP range type.

    • resourceUuidString

      Optional. The resource UUID. If specified, the L3 network will use the specified value as UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIpRangeInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • startIpStringRequired

      开始IP。

    • endIpStringRequired

      结束IP。

    • netmaskStringRequired

      No description provided.

    • prefixLenStringRequired

      The prefix length.

    • gatewayStringRequired

      No description provided.

    • networkCidrStringRequired

      No description provided.

    • ipVersionIntegerRequired

      The IP version.

    • addressModeStringRequired

      The allocation mode of the IPv6 address.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • ipRangeTypeIpRangeTypeRequired

      See ipRangeType.

      • NormalIpRangeTypeRequired

        正常。

      • AddressPoolIpRangeTypeRequired

        地址池。

Endpoint

POST/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges

/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges

Operation ID

AddIpRange

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/ip-ranges' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","startIp":"<startIp>","endIp":"<endIp>","netmask":"<netmask>","gateway":"<gateway>","ipRangeType":"<ipRangeType>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "l3NetworkUuid": "4cbec970df744e258726f71de79e6497", "name": "Test-IP-Range", "startIp": "192.168.100.10", "endIp": "192.168.100.250", "netmask": "255.255.255.0", "gateway": "192.168.100.1" } }

Change History

This API has no change history records yet.

View all change history